package com.company.presentation.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@NamePattern("%s|name")
@Table(name = "PRESENTATION_NEW_ENTITY")
@Entity(name = "presentation_NewEntity")
public class NewEntity extends StandardEntity {
    private static final long serialVersionUID = -9071467913176306624L;

    @Column(name = "NAME")
    protected String name;

    @Column(name = "TEST")
    protected String test;

    @Column(name = "TEST2")
    protected String test2;

    public String getTest2() {
        return test2;
    }

    public void setTest2(String test2) {
        this.test2 = test2;
    }

    public String getTest() {
        return test;
    }

    public void setTest(String test) {
        this.test = test;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}